/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates the setting of resources from the
command line.
***************************************************************/

/* options.c */

#include <Xm/Xm.h>
#include <Xm/Label.h>

XtAppContext context;
XmStringCharSet char_set=XmSTRING_DEFAULT_CHARSET;

Widget toplevel, label;

static XrmOptionDescRec options[]={
{"-label", "*label*labelString",XrmoptionSepArg,(caddr_t)NULL},
{"-width", "*label*width",      XrmoptionSepArg,(caddr_t)NULL},
{"-height","*label*height",     XrmoptionSepArg,(caddr_t)NULL},
};

main(argc,argv)
    int argc; 
    char *argv[];
{
    Arg al[10];
    int ac;

    /* create the toplevel shell */
    toplevel=XtAppInitialize(&context,"",options,XtNumber(options),
        &argc,argv,NULL,NULL,0);

    /* create the label widget */
    ac=0;
    label=XmCreateLabel(toplevel,"label",al,ac);
    XtManageChild(label);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(context);
}
